import "regenerator-runtime";
import RiveText from "./rive_text.js";

async function main() {
  const rive = await RiveText();
  console.log("rive", rive);

  var bytes = await (await fetch(new Request("first-0.wav"))).arrayBuffer();
  console.log("bytes", bytes, bytes.byteLength);
  var bytesArray = new Uint8Array(bytes);

  var bufferPtr = rive.makeAudioSourceBuffer(bytes.byteLength);
  var dataPtr = rive.simpleArrayData(bufferPtr);
  for (var i = 0; i < bytes.byteLength; i++) {
    rive.HEAPU8[i + dataPtr] = bytesArray[i];
  }
  var streamingAudioSource = rive.makeAudioSource(bufferPtr);

  var enginePtr = rive.makeAudioEngine(2, 44100);
  rive.playAudioSource(streamingAudioSource, enginePtr, 0, 0, 0);

  console.log("audioengine", enginePtr);
}
main();
